ViennaCL - The Vienna Computing Library: libviennacl/src/blas1.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
blas1.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "init_vector.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/inner_prod.hpp"`
`#include "viennacl/linalg/norm_1.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/norm_inf.hpp"`

Go to the source code of this file.

## Functions
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLiamax (ViennaCLInt *index, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLasum (ViennaCLHostScalar *alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLaxpy (ViennaCLHostScalar alpha, ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLcopy (ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLdot (ViennaCLHostScalar *alpha, ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLnrm2 (ViennaCLHostScalar *alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLrot (ViennaCLVector x, ViennaCLVector y, ViennaCLHostScalar c, ViennaCLHostScalar s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLscal (ViennaCLHostScalar alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLswap (ViennaCLVector x, ViennaCLVector y)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLasum | ( | ViennaCLHostScalar * | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 77 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLaxpy | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 116 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLcopy | ( | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 163 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLdot | ( | ViennaCLHostScalar * | alpha,
|  | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 206 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLiamax | ( | ViennaCLInt * | index,
|  | ViennaCLVector | x
| ) |  |

Definition at line 40 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLnrm2 | ( | ViennaCLHostScalar * | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 252 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLrot | ( | ViennaCLVector | x,
|  | ViennaCLVector | y,
|  | ViennaCLHostScalar | c,
|  | ViennaCLHostScalar | s
| ) |  |

Definition at line 291 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLscal | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 341 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLswap | ( | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 379 of file blas1.cpp.